image: devendranathashok/ubuntuwithdocker:1.01

before_script:
  - apt-get install curl -y
  - curl -s -o deployment.lib https://gitlab.com/ashok.kammala/shared-ci-functions/raw/master/deployment.lib
  - chmod +x deployment.lib
  - cat deployment.lib
  - . ./deployment.lib

stages:
  - build
  - deploy

build_dev:
  stage: build
  script:
   - list_files
   - current_job_info
   - dockerPush test
  #when: manual 
    

  only:
    - master

deploy_dev:
  stage: deploy
  image: devendranathashok/ubuntuwithdocker:1.01
  environment:
    name: master
  script:
    - installSoftware
    - deployment
  when: manual  
    
  only:
    - master
